Category: Build/Install

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 11466
Description

A number of QGIS plugins already rely on psycopg?2 - while most Linux distributions have packages for psycopg2, it is harder to find an
install on Windows and OSX.

It would be cool if psycopg2 could make it into the standard QGIS distributions an Windows and OSX.

Thank you!

History

#1 - 2009-01-31 02:34 AM - Paolo Cavallini

Solved in OSGeo win installer. Is it the same for Mac?

#2 - 2009-01-31 03:15 AM - Andreas Neumann

yes, on Windows and Linux its not a big problem. It is still a problem on OS X.

as far as | know it isn't yet solved on the Mac. | personally just need one way to access Postgis from Python across Mac/Linux/Windows.

Whether this is psycopg or gtsql, | don't care. Ideally, both would be present, since some plugins seem to use psycopg and some use qtsql.

| personally can adopt to either method. | don't care much. The popular Postgis Manager plugin from Martin Dobias seems to use psycopg and doesn't yet

work out of the box on Mac.

#3 - 2009-07-12 08:44 AM - Giovanni Manghi

What is the status of this issue under OS X?

#4 - 2009-07-15 07:17 AM - William Kyngesburye

- Resolution set to fixed
- Status changed from Open to Closed

I could bundle psycopg?2 in my OSX Qgis distribution. Depending on release plans for new Qgis versions, | may wait until the next version. If that's a ways

off, I'll update the current release packages.

Qtsql framework is already bundled, though none of the driver plugins. Easy enough to do.
I'll close this, even though it may not happen for a while (it's on my list!).
